%define name	vice
%define version	2.1
%define release %mkrel 2

Summary: VICE, the Versatile Commodore Emulator
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:  Emulators
Source: ftp://ftp.funet.fi/pub/cbm/crossplatform/emulators/VICE/vice-%{version}.tar.gz
Source1: %{name}.png
Patch0:		vice-2.1-fix-str-fmt.patch
Patch1:		vice-2.1-fix-alsa-fragment.patch
Patch2:		vice-2.1-elif-without-condition.patch
URL: http://www.viceteam.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL-devel bison flex gettext perl-XML-Parser 


%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET, Plus4 and CBM-II 8-bit computers, all of which run under the X
Window System.

%prep
%setup -q
%patch0 -p0
%patch1 -p2
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -DNO_REGPARM" 
%configure2_5x --prefix=/usr \
               --enable-fullscreen \
               --with-sdl

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std install-strip

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=VICE
Comment=Versatile Commodore Emulator
Exec=vsid
Icon=%{name}
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus
		
%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS FEEDBACK README 
%{_bindir}/x64
%{_bindir}/x128
%{_bindir}/xplus4
%{_bindir}/xvic
%{_bindir}/xpet
%{_bindir}/xcbm2
%{_bindir}/c1541
%{_bindir}/petcat
%{_bindir}/cartconv
%{_bindir}/x64dtv
%{_bindir}/vsid
%{_libdir}/vice/
%{_mandir}/man1/*
%{_datadir}/info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jan 06 2010 Texstar <texstar at gmail.com> 2.1-2pclos2010
- rebuild for xaw7

* Sun Jul 19 2009 slick50 <lxgator@gmail.com> 2.1-1pclos2009
- initial build

